API Test Keys
Create a Fund Account of Type VPA
POST/v1/fund_accountsClick to copy
Use this endpoint to create a fund account with VPA details.
- A new fund account is created if any combination of the following details is unique:
contact_idandvpa.address. - If all the above details match the details of an existing fund account, the API returns details of the existing fund account.
- You cannot edit the details of a fund account.
Is this page helpful?
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X POST https://api.razorpay.com/v1/fund_accounts \3-H "Content-Type: application/json" \4-d '{5"account_type":"vpa",6"contact_id":"cont_00000000000001",7"vpa":{8"address":"gaurav.kumar@exampleupi"9}10}'
Success
1{2"id": "fa_00000000000002",3"entity": "fund_account",4"contact_id": "cont_00000000000001",5"account_type": "vpa",6"vpa": {7"username": "gaurav.kumar",8"handle": "exampleupi",9"address": "gaurav.kumar@exampleupi"10},11"active": true,12"batch_id": null,13"created_at": 154522374114}
Request Parameters
contact_id*
string This is the unique identifier linked to a contact. For example, cont_00000000000001.
account_type*
string The fund account type you want to link to the contact ID. Here it is vpa.
vpa*
objectThe contact's virtual payment address (VPA) details.
Show child parameters (1)
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
The contact ID provided does not exist.
Error Status: 4xx
The contact id provided is incorrect.
Solution
Create a Fund Account of Type VPA
POST/v1/fund_accountsClick to copy
Use this endpoint to create a fund account with VPA details.
- A new fund account is created if any combination of the following details is unique:
contact_idandvpa.address. - If all the above details match the details of an existing fund account, the API returns details of the existing fund account.
- You cannot edit the details of a fund account.
Is this page helpful?
Request Parameters
contact_id*
string This is the unique identifier linked to a contact. For example, cont_00000000000001.
account_type*
string The fund account type you want to link to the contact ID. Here it is vpa.
vpa*
objectThe contact's virtual payment address (VPA) details.
Show child parameters (1)
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
The contact ID provided does not exist.
Error Status: 4xx
The contact id provided is incorrect.
Solution
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X POST https://api.razorpay.com/v1/fund_accounts \3-H "Content-Type: application/json" \4-d '{5"account_type":"vpa",6"contact_id":"cont_00000000000001",7"vpa":{8"address":"gaurav.kumar@exampleupi"9}10}'
Success
1{2"id": "fa_00000000000002",3"entity": "fund_account",4"contact_id": "cont_00000000000001",5"account_type": "vpa",6"vpa": {7"username": "gaurav.kumar",8"handle": "exampleupi",9"address": "gaurav.kumar@exampleupi"10},11"active": true,12"batch_id": null,13"created_at": 154522374114}